From: Florian Schanda <florian.schanda@altran-praxis.com>
Date: Tue, 15 Mar 2011 20:16:28 +0000
Subject: SWI and SICSTUS need portray and portrayed respectively
Origin: upstream
--- a/simplifier/portray.pro
+++ b/simplifier/portray.pro
@@ -69,7 +69,7 @@
            AP > Pred
         ),
         write('('),
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)]),
+        write_term(A, [priority(Pred), portrayed(true), portray(true), numbervars(true)]),
         write(')')
     ;
         (
@@ -79,7 +79,7 @@
            F \= xfx, 
            AP =< Pred /* not case 2 */
         ),
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)])
+        write_term(A, [priority(Pred), portrayed(true), portray(true),  numbervars(true)])
     ),
     write(' '),
     write(Name_Atom),
@@ -92,11 +92,11 @@
         /* For example, we want "A + (B + C)" NOT "A + B + C"                            */
         BP >= Pred,
         write('('),
-        write_term(B, [priority(Pred), portrayed(true), numbervars(true)]),
+        write_term(B, [priority(Pred), portrayed(true), portray(true), numbervars(true)]),
         write(')')
     ;
         BP < Pred,
-        write_term(B, [priority(Pred), portrayed(true), numbervars(true)])
+        write_term(B, [priority(Pred), portrayed(true), portray(true), numbervars(true)])
     ),
     !.
 
@@ -120,11 +120,11 @@
         /* we need to parenthesize A                                            */
         AP > Pred,
         write('('),
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)]),
+        write_term(A, [priority(Pred), portrayed(true), portray(true), numbervars(true)]),
         write(')')
     ;
         AP =< Pred,
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)])
+        write_term(A, [priority(Pred), portrayed(true), portray(true), numbervars(true)])
     ),
     !.
 
@@ -146,11 +146,11 @@
         /* we need to parenthesize A                                            */
         AP > Pred,
         write('('),
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)]),
+        write_term(A, [priority(Pred), portrayed(true), portray(true), numbervars(true)]),
         write(')')
     ;
         AP =< Pred,
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)])
+        write_term(A, [priority(Pred), portrayed(true), portray(true), numbervars(true)])
     ),
     write(' '),
     write(Name_Atom),
